aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/compile_dmm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/compile_dmm.sh')
-rwxr-xr-xscripts/compile_dmm.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/scripts/compile_dmm.sh b/scripts/compile_dmm.sh
new file mode 100755
index 0000000..b4bc455
--- /dev/null
+++ b/scripts/compile_dmm.sh
@@ -0,0 +1,29 @@
+#!/bin/bash -x
+
+set -x
+
+BUILD_DIR=`dirname $(readlink -f $0)`/../build
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo "DMM build started....."
+
+cd $BUILD_DIR
+rm -rf *
+cmake ..
+make -j 8
+
+if [ $? -eq 0 ]; then
+ echo "DMM build is SUCCESS"
+else
+ echo "DMM build has FAILED"
+ exit 1
+fi
+
+if [ "$OS_ID" == "centos" ]; then
+ make pkg-rpm
+elif [ "$OS_ID" == "ubuntu" ]; then
+ make pkg-deb
+fi
+
+echo "DMM build has FINISHED"